Bug 1147204 - libqtxdg: Please update version
Summary: libqtxdg: Please update version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libqtxdg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1147074 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-28 06:03 UTC by Eugene A. Pivnev
Modified: 2014-11-14 20:28 UTC (History)
4 users (show)

Fixed In Version: libqtxdg-1.0.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-16 13:45:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Eugene A. Pivnev 2014-09-28 06:03:08 UTC
Please make some changes in package:
1. Switch qt4 on
2. Update f20 version to 0.5.3
3. Add f19, EL6 and EL7
This package will be required by razorqt and future LXQT packages.

Comment 1 Rex Dieter 2014-09-29 13:03:07 UTC
*** Bug 1147074 has been marked as a duplicate of this bug. ***

Comment 2 Rex Dieter 2014-09-29 13:06:08 UTC
In my opinion, 

step 1: in rawhide, switch on qt4 support on here and build razortqt against this system libqtxdg 

step 2: build/support lxqt in rawhide (is lxqq packaged and reviewed yet?)

when that is done, then can consider supporting prior releases (and epel)


Any comment/objection to that plan?

Comment 3 Eugene A. Pivnev 2014-09-29 16:56:07 UTC
(In reply to Rex Dieter from comment #2)
> In my opinion, 
> 
> step 1: in rawhide, switch on qt4 support on here and build razortqt against
> this system libqtxdg 
> 
> step 2: build/support lxqt in rawhide (is lxqq packaged and reviewed yet?)
> 
> when that is done, then can consider supporting prior releases (and epel)
> 
> 
> Any comment/objection to that plan?

Yes, I have.

Step 1: in rawhide, f21 and f20. Now I'm using f20 at home and office machines. And razorqt w/ libqtxdg-0.5.2 in office and shared libqtxdg 0.5.3 with razorqt and LXQT (OBS's) at home - everything works ok.
And I can't test (_really_ test) packages in unstable releases. I'm prefering to test my packages on itself (sorry bad english).

Step 2: But you are right - need testing. After testing at F20+ - to add f19 and epel.

But libqtxdg's maintainer can do WANTFIX :-(

Comment 4 Rex Dieter 2014-09-30 18:29:45 UTC
Well, you have to start somewhere, and development typically happens in rawhide.  Once things packages and dependencies are in a known-good state, *then* you can consider building for stable release branches.

Comment 5 Eugene A. Pivnev 2014-10-01 05:59:19 UTC
(In reply to Rex Dieter from comment #4)
> Well, you have to start somewhere, and development typically happens in
> rawhide.  Once things packages and dependencies are in a known-good state,
> *then* you can consider building for stable release branches.

You had asking "comments" - these were comments.

Anyway libqtxdg' maintainer do nothing yet.

Comment 6 Lubomir Rintel 2014-10-01 14:47:47 UTC
(In reply to Eugene A. Pivnev from comment #5)
> Anyway libqtxdg' maintainer do nothing yet.

I've updated the version. Stranger to how razorqt does thing, I did not quite get the Qt4 update part.

The update needs to be coordinated and I believe it makes sense for you to do that. That said, I'm a little concerned about your approach to testing stable/released versions or lack of thereof. Let's update the development branches first and see where can we move from there.

I'm now adding commit permissions for libqtxdg in rawhide/f21/epel7; feel free to do the update yourself. Please take good care about proper replacement of older libqtxdg (either with obsoletes tag or by renaming libqtxdg-qt4 subpackage to mere libqtxdg).

Comment 7 Rex Dieter 2014-10-02 15:50:36 UTC
I'll take care of the libqtxdg part, I've some good experience handling upgrades like that.

Comment 8 Eugene A. Pivnev 2014-10-02 16:05:28 UTC
(In reply to Lubomir Rintel from comment #6)
> (In reply to Eugene A. Pivnev from comment #5)
> > Anyway libqtxdg' maintainer do nothing yet.
> 
> I've updated the version. Stranger to how razorqt does thing, I did not
> quite get the Qt4 update part.
> 
> The update needs to be coordinated and I believe it makes sense for you to
> do that. That said, I'm a little concerned about your approach to testing
> stable/released versions or lack of thereof. Let's update the development
> branches first and see where can we move from there.
> 
> I'm now adding commit permissions for libqtxdg in rawhide/f21/epel7; feel
> free to do the update yourself. Please take good care about proper
> replacement of older libqtxdg (either with obsoletes tag or by renaming
> libqtxdg-qt4 subpackage to mere libqtxdg).

Thank you.
I'll start on f21 (and will test it at virtual machine - before and after upgrading).

Comment 9 Eugene A. Pivnev 2014-10-02 16:11:15 UTC
(In reply to Rex Dieter from comment #7)
> I'll take care of the libqtxdg part, I've some good experience handling
> upgrades like that.

This will good help.
As razorqt is R.I.P. - I need to switch razorqt's users into LXQT as gently as it is possible.

Comment 10 Rex Dieter 2014-10-02 16:34:42 UTC
http://pkgs.fedoraproject.org/cgit/libqtxdg.git/commit/?id=303d214d67a88f4f89e55008601fbed00f1f3970

building for rawhide now, will merge/build-for f21 here in a bit if all goes well.

Comment 11 Fedora Update System 2014-10-02 17:58:40 UTC
libqtxdg-0.5.3-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libqtxdg-0.5.3-4.fc21

Comment 12 Rex Dieter 2014-10-02 18:00:18 UTC
libqtxdg-0.5.3-4.fc21 buildroot override submitted, expires Oct 12 (hopefully the package can go to stable updates by then)

Comment 13 Fedora Update System 2014-10-04 03:20:50 UTC
Package libqtxdg-0.5.3-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libqtxdg-0.5.3-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12104/libqtxdg-0.5.3-4.fc21
then log in and leave karma (feedback).

Comment 14 Rex Dieter 2014-10-06 18:35:19 UTC
Similarly, libqtxdg-0.5.3-4.fc20, libqtxdg-0.5.3-4.fc19 buildroot overrides are now in place (until Oct 13)

Lubomir, I've got epel7/el6 prepped and ready (el6 needed some slight modification to use cmake28), so can move forward there whenever.

Comment 15 Fedora Update System 2014-10-08 19:16:34 UTC
libqtxdg-0.5.3-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-10-09 07:28:41 UTC
libqtxdg-0.5.3-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/libqtxdg-0.5.3-4.el7

Comment 17 Eugene A. Pivnev 2014-10-16 06:21:14 UTC
I'm sorry, but new verion releazed: 1.0.0.
It is still compatible as with razorqt as with lxqt-0.7.0:
https://build.opensuse.org/package/show/X11:QtDesktop:LXQT/libqtxdg
https://build.opensuse.org/package/show/X11:QtDesktop:LXQT/razorqt
https://build.opensuse.org/package/show/X11:QtDesktop:LXQT/liblxqt

Comment 18 Rex Dieter 2014-10-16 13:25:41 UTC
upgrading rawhide (master branch) initially should not be controversial.
That said, I see the Qt4 build wants QtMimeTypes, are you aware of any efforts at packaging that for fedora yet?

Recall that you should have commit access per comment #6, but I can take care of it this time.

Comment 19 Rex Dieter 2014-10-16 13:45:27 UTC
%changelog
* Thu Oct 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-1
- libqtxdg-1.0.0, soname bump (#1147204)

Comment 20 Fedora Update System 2014-10-23 15:05:17 UTC
libqtxdg-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libqtxdg-1.0.0-1.fc21

Comment 21 Fedora Update System 2014-10-23 15:23:12 UTC
libqtxdg-1.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/libqtxdg-1.0.0-1.el7

Comment 22 Fedora Update System 2014-10-24 15:25:11 UTC
libqtxdg-0.5.3-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libqtxdg-0.5.3-4.fc20

Comment 23 Fedora Update System 2014-10-24 15:25:35 UTC
libqtxdg-0.5.3-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libqtxdg-0.5.3-4.fc19

Comment 24 Fedora Update System 2014-11-07 02:30:37 UTC
libqtxdg-0.5.3-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2014-11-07 02:31:42 UTC
libqtxdg-0.5.3-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2014-11-10 05:58:44 UTC
libqtxdg-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2014-11-14 20:28:39 UTC
libqtxdg-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.